New!Devexpress WinForms最新版开发.NET环境配置Visual Studo和SQL Server对应版本

转帖|使用教程|编辑:龚雪|2020-11-13 13:09:40.137|阅读 748 次

概述:本文将为大家介绍Devexpress WinForms最新版开发.NET环境配置Visual Studo和SQL Server对应版本,v20.2版本日前正式发布,欢迎下载体验哦~

# 31款JAVA开发必备控件和工具 # 开发软/控件产品年终优惠

相关链接:

如下图所示,绿色Yes代表支持,红色No代表不支持。对于有些人觉得装了DevExpress后,VS工具箱没有,一般都是以下两大问题:

  1. DevExpress的版本不支持你当前的VS版本,没有很正常。
  2. 项目的.net版本并不支持当前版本DevExpress,修改项目的.net版本即可。

另外如果以上都没有问题的话,还有其他两种情况:

  1. 请记住安装顺序,先装VS,后装DevExpress。
  2. 以上都没问题的话,工具箱还是没有DevExpress控件的话,但是VS工具栏有DevExpress选项卡,则可以选择Repair Tool(重置工具箱:可以右击工具箱,或者选择DevExpress选项卡),如果VS工具栏上没有DevExpress选项卡的话,请到安装路径找到exe修复DevExpress。
Winform 最新版支持情况

先决条件

  • 2020年3月17日

本文档包含有关安装和使用DevExpress WinForms控件的系统要求的信息。

.NET 框架

下图突出显示了支持的 .NET 框架版本。

New!Devexpress WinForms最新版开发.NET环境配置Visual Studo和SQL Server对应版本

随着.NET框架 4.5的发布,Microsoft已停止对.NET客户端配置文件的支持。DevExpress控件不支持以v14.2开头的.NET客户端配置文件。

.NET Core

下图显示了支持.NET Core的DevExpress WinForms控件的版本。

New!Devexpress WinForms最新版开发.NET环境配置Visual Studo和SQL Server对应版本

构建.NET核心应用程序的先决条件:

有关详细信息,请参阅.NET Core支持

IDE

下图突出显示了DevExpress WinForms控件支持的可视化工作室版本。

New!Devexpress WinForms最新版开发.NET环境配置Visual Studo和SQL Server对应版本

注意

* 从 v18.2.7开始

** 从 v18.1.11开始

从版本18.2开始,DevExpress源代码以C# 6.0为目标。您仍可以在Visual Studio 2012和2013中使用我们预先编译的程序集。但是,无法在这些Visual Studio版本中重新编译DevExpress源代码。

Visual Studio Express版本可能不支持DevExpress WinForms控件的所有设计时功能。

本文转载自CSDN-涛神


上DevExpress中文网,获取第一手最新产品资讯!

DevExpress技术交流群2:775869749      欢迎一起进群讨论

慧都2020年终大促

标签:

本站文章除注明转载外,均为本站原创或翻译。欢迎任何形式的转载,但请务必注明出处、不得修改原文相关链接,如果存在内容上的异议请邮件反馈至hey@evget.com

文章转载自:csdn

为你推荐

  • 推荐视频
  • 推荐活动
  • 推荐产品
  • 推荐文章
  • 慧都慧问
相关产品
DevExpress Universal Subscription

行业领先的界面控件开发包,帮助企业构建卓越应用!

DevExpress WinForms Subscription

为Windows Forms平台创建具有影响力的业务解决方案,高性价比WinForms界面控件套包。

DevExpress DXperience Subscription

高性价比的企业级.NET用户界面套包,助力企业创建卓越应用!

title
在线咨询
联系我们
TOP
在线客服系统
live chat